=== doc/devel/internals/Makefile ===
all: *.xsl *.xml
	./build.sh

clean:
	rm -f index.html
