=== debian/changelog ===
debian-installer (20081029ubuntu102.12+lp834009+lowell12) lucid; urgency=low

  * hwe-lowell PPA/oem-ibs customization:
    - fixing up natty-netboot:preseed/late_command to work properly in chroot 

 -- Chris Van Hoof <vanhoof@canonical.com>  Mon, 18 Oct 2011 16:41:51 -0400

debian-installer (20081029ubuntu102.12+lp834009+lowell11) lucid; urgency=low

  * hwe-lowell PPA/oem-ibs customization:
    - dpkg prefers to be in a chroot (even with --root= :))

 -- Chris Van Hoof <vanhoof@canonical.com>  Mon, 18 Oct 2011 16:09:01 -0400

debian-installer (20081029ubuntu102.12+lp834009+lowell10) lucid; urgency=low

  * hwe-lowell PPA/oem-ibs customization:
    - late_command to install cannical-oem-keyring deb in build/boot/x86/natty-netboot.preseed

 -- Chris Van Hoof <vanhoof@canonical.com>  Mon, 18 Oct 2011 14:11:12 -0400

debian-installer (20081029ubuntu102.12+lp834009+lowell9) lucid; urgency=low

  * hwe-lowell PPA/oem-ibs customization:
    - allow un-authenticated in build/boot/x86/natty-netboot.preseed

 -- Chris Van Hoof <vanhoof@canonical.com>  Mon, 17 Oct 2011 22:39:02 -0400

debian-installer (20081029ubuntu102.12+lp834009+lowell8) lucid; urgency=low

  * hwe-lowell PPA/oem-ibs customization:
    - remove preseed/early_command in build/boot/x86/natty-netboot.preseed
    - add canonical-oem-keyring-udeb to build/pkg-lists/netboot/local
    - add canonical-oem-keyring-udeb_2009.07.23+build3_all.udeb to build/localudebs

 -- Chris Van Hoof <vanhoof@canonical.com>  Mon, 17 Oct 2011 21:54:52 -0400

debian-installer (20081029ubuntu102.12+lp834009+lowell7) lucid; urgency=low

  * hwe-lowell PPA/oem-ibs customization:
    - use preseed/early_command in build/boot/x86/natty-netboot.preseed to grab canonical-oem-keyring and install it

 -- Chris Van Hoof <vanhoof@canonical.com>  Mon, 17 Oct 2011 18:47:22 -0400

debian-installer (20081029ubuntu102.12+lp834009+lowell5) lucid; urgency=low

  * hwe-lowell PPA/oem-ibs customization:
    - build/config/{amd64,i386}.cfg: generate 'cdrom' and 'natty-netboot' media images only
    - build/config/{amd64/i386}/natty-netboot.cfg: use 2.6.38-11 kernel

 -- Chris Van Hoof <vanhoof@canonical.com>  Sat, 15 Oct 2011 17:52:17 -0400

debian-installer (20081029ubuntu102.12+lp834009+lowell4) lucid; urgency=low

  * hwe-lowell PPA/oem-ibs customization:
    - build/config/common: Remove lucid-* from USE_UDEBS_FROM_EXTRA
    - build/config/{amd64,i386}.cfg: generate 'cdrom' media image only
    - build/config/{amd64/i386}/cdrom.cfg: use 2.6.38-11 kernel

 -- Kamal Mostafa <kamal@canonical.com>  Fri, 26 Aug 2011 10:55:07 -0700

debian-installer (20081029ubuntu102.12+lp834009) lucid-proposed; urgency=low

  * Build images with the lts-backport-natty kernel (2.6.38-10) for amd64
    and i386, which are themselves configured to install the
    lts-backport-natty kernel (LP: #834009).

 -- Kamal Mostafa <kamal@canonical.com>  Thu, 25 Aug 2011 15:57:28 -0700

debian-installer (20081029ubuntu102.12) lucid-proposed; urgency=low

  * Move to 2.6.32-34 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Aug 2011 18:09:12 +0100

debian-installer (20081029ubuntu102.11) lucid-proposed; urgency=low

  * Move maverick-* images to 2.6.35-30 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Aug 2011 17:23:19 +0100

debian-installer (20081029ubuntu102.10) lucid-proposed; urgency=low

  * Move to 2.6.32-33 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Jul 2011 10:13:34 +0100

debian-installer (20081029ubuntu102.9) lucid-proposed; urgency=low

  * Move to 2.6.32-32 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Jun 2011 10:16:18 +0100
