## debian-installer 20081029ubuntu102.14

=== debian/changelog ===
debian-installer (20081029ubuntu102.14) lucid-proposed; urgency=low

  * Rebuild against current lts-backport-oneiric kernel.
  * Move Dove images to 2.6.32-219 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Jan 2012 17:41:07 +0000

debian-installer (20081029ubuntu102.13) lucid-proposed; urgency=low

  * Add natty and oneiric images for amd64 and i386, built with the
    respective backported kernels (LP: #881529).
  * Move to 2.6.32-38 kernels.
  * Move maverick-* images to 2.6.35-32 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Jan 2012 15:32:11 +0000
