## debian-installer 20081029ubuntu102.16

=== debian/changelog ===
debian-installer (20081029ubuntu102.16) lucid-proposed; urgency=low

  * Move to 2.6.32-41 kernels.
  * Move natty-* images to 2.6.38-15 kernels.
  * Move oneiric-* images to 3.0.0-22 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Jul 2012 10:00:33 +0100

debian-installer (20081029ubuntu102.15) lucid-proposed; urgency=low

  * Move to 2.6.32-40 kernels.
  * Move oneiric-* images to 3.0.0-17 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Mar 2012 03:57:56 +0100
