## debian-installer 20081029ubuntu102.17

=== debian/changelog ===
debian-installer (20081029ubuntu102.17) lucid; urgency=low

  * Move to 2.6.32-47 kernels.
  * Move natty-* images to 2.6.38-16 kernels.
  * Move oneiric-* images to 3.0.0-32 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 13:45:23 +0100
