## debian-installer 20081029ubuntu102.18

=== debian/changelog ===
debian-installer (20081029ubuntu102.18) lucid; urgency=low

  * Move to 2.6.32-50 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Jul 2013 18:32:44 +0100
