## debian-installer 20090123lenny8

=== build/Makefile ===
--- 
+++ 
@@ -267,10 +267,8 @@
 release:
 	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
 		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
-	rm -f $(BASE_DEST)/MD5SUMS $(BASE_DEST)/SHA1SUMS $(BASE_DEST)/SHA256SUMS
+	rm -f $(BASE_DEST)/MD5SUMS
 	cd $(BASE_DEST) && md5sum `find . -type f` > MD5SUMS
-	cd $(BASE_DEST) && sha1sum `find . -type f` > SHA1SUMS
-	cd $(BASE_DEST) && sha256sum `find . -type f` > SHA256SUMS
 
 # The general tree target.
 $(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
@@ -384,3 +382,8 @@
 			-not -type d | xargs rm -f; \
 	else \
 		find $(TREE)/lib/modules/ -name 'modules*' \
+			-not -name modules.dep -not -type d | xargs rm -f; \
+	fi
+
+	# These files are used to build special kernel images for some
+	# subarchitectures. Move them out of the way.
