=== debian/changelog ===
debian-installer (20090123lenny8) stable; urgency=low

  * Rebuild to incorporate linux-kernel-di packages based upon
    linux-2.6 2.6.26-26

 -- dann frazier <dannf@debian.org>  Tue, 23 Nov 2010 22:40:01 -0700

debian-installer (20090123lenny7) stable; urgency=low

  * Rebuild to incorporate linux-kernel-di packages based upon
    linux-2.6 2.6.26-23

 -- dann frazier <dannf@debian.org>  Fri, 18 Jun 2010 10:28:34 -0600

debian-installer (20090123lenny6) stable; urgency=low

  [ Frans Pop ]
  * gen-sources.list.udeb: allow for multiple spaces and tabs in a source line.

  [ dann frazier ]
  * Rebuild to incorporate linux-kernel-di packages based upon
    linux-2.6 2.6.26-21

 -- dann frazier <dannf@debian.org>  Thu, 21 Jan 2010 10:28:21 -0700

debian-installer (20090123lenny5) stable; urgency=low

  * Implement clean method to include udebs from proposed-updates for builds
    for stable and testing (backported from trunk).
  * Activate use of proposed-updates for official builds.

 -- Frans Pop <fjp@debian.org>  Wed, 23 Dec 2009 15:15:34 +0000

debian-installer (20090123lenny4) stable; urgency=low

  [ Frans Pop ]
  * Use printf instead of 'echo -en' to create win32-loader.ini.
    Closes: #539933.

  [ dann frazier ]
  * Rebuild to incorporate linux-kernel-di packages based upon
    linux-2.6 2.6.26-19

 -- dann frazier <dannf@debian.org>  Tue, 25 Aug 2009 23:18:34 -0600

debian-installer (20090123lenny3) stable; urgency=low

  * Rebuild to incorporate linux-kernel-di packages based upon
    linux-2.6 2.6.26-17

 -- dann frazier <dannf@debian.org>  Wed, 24 Jun 2009 23:21:14 -0600

debian-installer (20090123lenny2) stable; urgency=low

  * Rebuilt due cdebconf and kernel updates.

 -- Otavio Salvador <otavio@debian.org>  Tue, 16 Jun 2009 11:11:30 -0300

debian-installer (20090123lenny1) stable; urgency=low

  [ Martin Michlmayr ]
  * Include minix-modules on the orion5x image for the D-Link DNS-323,
    thanks Matt Palmer.
  * Generate images for the D-Link DNS-323 and Conceptronic CH3SNAS,
    thanks Matt Palmer.  Closes: #503040.
  
  [ Otavio Salvador ]
  * Bump kernel versions to 2.6.26-2.

 -- Otavio Salvador <otavio@debian.org>  Wed, 08 Apr 2009 00:29:38 -0300

debian-installer (20090123) unstable; urgency=low

  [ Frans Pop ]
  * Add build dependency on docbook-xml, needed for D-I internals.

 -- Otavio Salvador <otavio@debian.org>  Fri, 23 Jan 2009 12:38:07 -0200

debian-installer (20090122) unstable; urgency=low

  [ Martin Michlmayr ]
  * Fix off-by-one: the QNAP initrd should be padded to exactly 4 MB,
    not 4 MB - 1 byte.

  [ Otavio Salvador ]
  * Add pata-modules on cdrom images (i386 and amd64) to enable support
    for Marvell controllers and others.

  [ Frans Pop ]
  * Update minimum memory/diskspace requirements in x86 syslinux help
    screens. New values are the same as in the Installation Guide.

  [ Samuel Thibault ]
  * Add uinput-modules to cdrom, netboot and hd-media images (amd64, alpha,
    i386, ppc64, ia64 and powerpc) to improve brltty device support.

  [ Otavio Salvador ]
  * Apply patch from Jurij Smakov to add usb-storage to cdrom and netboot
    images (sparc) to allow firmware to be loaded from a usb devices.
    Closes: #505789.

  [ Frans Pop ]
  * Add option in syslinux configuration to return to graphical boot menu
    from the help screens. Based on research done by Franklin Piat.
    Closes: #505750.
  * Rename syslinux adamd*.cfg files to amdad*.cfg.
  * Rename syslinux *text.cfg files to *txt.cfg. This is needed because
    adamdtext.cfg is one character too long which means it was never actually
    included in the menu for multi-arch images.

  [ Franklin Piat ]
  * Add help text for help option in graphical syslinux boot menu to indicate
    how to return to the menu from the help screens.
    The new configuration also improves editing the command line from the
    graphical syslinux menu if it flows over into a second line.

  [ Frans Pop ]
  * Add ext2-modules to hd-media images for i386, amd64 and powerpc.
    Closes: #510015.
  * Update copyright to 2009.

 -- Otavio Salvador <otavio@debian.org>  Thu, 22 Jan 2009 21:05:03 -0200
