=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Otavio Salvador <otavio@debian.org>
 Standards-Version: 3.6.2
-XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/ubuntu
+Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
 Build-Conflicts: libnewt-pic [mipsel]
 # NOTE: Do not edit the next line by hand. See comment below.
-Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, ubuntu-keyring, dpkg (>= 1.13.9), dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), mklibs-copy [mips mipsel], genisoimage [!s390 !s390x], genromfs [sparc], hfsutils [powerpc ppc64], dosfstools [i386 ia64 m68k amd64], cpio, devio [arm armeb armel], slugimage (>= 0.10+r58-6) [arm armeb armel], nwutil [arm], uboot-mkimage [arm armel], redboot-tools (>= 0.6) [arm armel], syslinux (>= 2:3.63+dfsg-2) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc ppc64], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], apex-nslu2 [arm], redboot-imx51-babbage [arm armel], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64], po4a [i386 amd64], python [i386 amd64], module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc], bf-utf-source [!s390 !s390x], upx-ucl (>= 3) [i386], mkvmlinuz [powerpc ppc64], openssl [arm armel]
+Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, debian-archive-keyring (>= 2006.11.22), dpkg (>= 1.13.9), dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), mklibs-copy [mips mipsel], genisoimage [!s390 !s390x], genromfs [sparc], hfsutils [powerpc ppc64], dosfstools [i386 ia64 m68k amd64], cpio, devio [arm armeb armel], slugimage (>= 0.10+r58-6) [arm armeb armel], dns323-firmware-tools [armel], nwutil [arm], uboot-mkimage [arm armel], syslinux (>= 2:3.63+dfsg-2) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc ppc64], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], apex-nslu2 [arm armeb armel], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64], module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc], bf-utf-source [!s390 !s390x], upx-ucl (>= 3) [i386], mkvmlinuz [powerpc ppc64], openssl [arm armel], win32-loader [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
 # This package has the worst Build-Depends in Debian, so it deserves some
 # explanation. Note that this comment can also be used to generate a
 # Build-Depends line, by running the debian/genbuilddeps program.
@@ -26,7 +24,7 @@
 # 		apt-ftparchive is used for including localudebs.
 #	- gnupg
 #		New versions of apt need gnupg for security checks.
-#	- ubuntu-keyring
+#	- debian-archive-keyring (>= 2006.11.22)
 #		To provide the archive key for security checks.
 #	- dpkg (>= 1.13.9)
 #		We tweak dpkg logging options only understood by this
@@ -40,12 +38,11 @@
 #	- debiandoc-sgml
 #		partman's manual is in debiandoc.
 #	- xsltproc
+#	- docbook-xml
 #	- docbook-xsl
 #		The d-i internals manual is in DocBook XML.
 #	- libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
 #		For bdftobogl used in font reduction.
-#	- lsb-release
-#		Provides system version information.
 #	
 # Library build dependencies:
 #	- glibc-pic
@@ -98,12 +95,12 @@
 #		kernels and add nslu2 boot magic.
 #	- slugimage (>= 0.10+r58-6) [arm armeb armel]
 #		For building nslu2 firmware images.
+#	- dns323-firmware-tools [armel]
+#		For building firmware images for the D-Link DNS-323.
 #	- nwutil [arm]
 #		For building netwinder netinst images.
 #	- uboot-mkimage [arm armel]
 #		For creating u-boot images
-#	- redboot-tools (>= 0.6) [arm armel]
-#		For creating redboot SD card images for imx51 babbage boards
 #
 # Boot loaders:
 #	On many arches boot loaders are copied onto or ran on the boot
@@ -143,11 +140,8 @@
 #	- emile [m68k]
 #	- emile-bootblocks [m68k]
 #		Bootloader for m68k/mac machines.
-#	- apex-nslu2 [arm]
+#	- apex-nslu2 [arm armeb armel]
 #		2nd stage bootloader for Linksys NSLU2.
-#	- redboot-imx51-babbage [arm armel]
-#		Redboot bootloader binaries for SD card images for imx51
-#
 # Architecture specific build dependencies:
 #	- tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
 #		For todos, used on files that need to be accessible from
@@ -155,9 +149,6 @@
 #	- mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64]
 #		mcopy is used to put files onto FAT filesystems w/o
 #		mounting them.
-#	- po4a [i386 amd64]
-#	- python [i386 amd64]
-#		For building gfxboot help texts.
 #
 #	- module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc]
 #		depmod for 2.6 kernels on the arches that support 2.6.
@@ -173,6 +164,8 @@
 #	- openssl [arm armel]
 #		Used to encrypt a firmware image so an ARM based device
 #		(Thecus N2100) will accept it.
+#	- win32-loader [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
+#		Alternative boot method for win32 platforms.
 
 Package: debian-installer
 Architecture: any
