=== debian/rules ===
--- 
+++ 
@@ -3,19 +3,20 @@
 ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
-SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
+SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
 ifeq (${SUITE},UNRELEASED)
-USE_UDEBS_FROM=lucid
+USE_UDEBS_FROM=unstable
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else
-USE_UDEBS_FROM=$(SUITE)
+USE_UDEBS_FROM=lenny
+USE_PROPOSED_UPDATES=1
 TRANSSTATUS=translation-status
 BOOTMENU_BEEP=y
 endif
 
 ARCHIVEDIR=debian/tmp/installer-$(ARCH)
-DESTDIR=$(ARCHIVEDIR)/$(VERSION)
+DESTDIR=$(ARCHIVEDIR)/$(DATE)
 IMAGEDIR=$(DESTDIR)/images
 TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz
 
@@ -31,6 +32,7 @@
 build-images:
 	$(MAKE) -C build all_build stats release \
 		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
+		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
 		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)
 	
 build: build-stamp
@@ -50,7 +52,7 @@
 
 	install -d $(IMAGEDIR)
 	cp -a build/dest/* $(IMAGEDIR)
-	ln -s $(VERSION) $(ARCHIVEDIR)/current
+	ln -s $(DATE) $(ARCHIVEDIR)/current
 
 binary-arch: install  
 	dh_testdir
