## debian-installer 20090123lenny9

=== debian/changelog ===
debian-installer (20090123lenny9) oldstable; urgency=low

  * Rebuild to incorporate linux-kernel-di packages based upon
    linux-2.6 2.6.26-27

 -- dann frazier <dannf@debian.org>  Sat, 24 Sep 2011 09:15:39 -0600
