## debian-installer 20090123lenny10

=== debian/changelog ===
debian-installer (20090123lenny10) oldstable; urgency=low

  * Rebuild to incorporate linux-kernel-di packages based upon
    linux-2.6 2.6.26-29

 -- dann frazier <dannf@debian.org>  Thu, 08 Mar 2012 21:00:49 -0700
